searchNodes=[{"doc":"Find Brazilian addresses by postal code, directly from Correios API. No HTML parsers.","ref":"Correios.CEP.html","title":"Correios.CEP","type":"module"},{"doc":"Finds address by the given postal_code.Postal codes with and without &quot;-&quot; separator are accepted.Optionsconnection_timeout: timeout for establishing a connection, in milliseconds. Default is 5000.request_timeout: timeout for receiving the HTTP response, in milliseconds. Default is 5000.proxy: proxy to be used for the request: {host, port} tuple, where port is an integer.proxy_auth: proxy authentication: {user, password} tuple.url: Correios API full URL. Default is https://apps.correios.com.br/SigepMasterJPA/AtendeClienteService/AtendeCliente.Examplesiex&gt; Correios.CEP.find_address(&quot;54250610&quot;) {:ok, %Correios.CEP.Address{ city: &quot;Jaboatão dos Guararapes&quot;, complement: &quot;&quot;, neighborhood: &quot;Cavaleiro&quot;, state: &quot;PE&quot;, street: &quot;Rua Fernando Amorim&quot;, postal_code: &quot;54250610&quot; }} iex&gt; Correios.CEP.find_address(&quot;54250-610&quot;) {:ok, %Correios.CEP.Address{ city: &quot;Jaboatão dos Guararapes&quot;, complement: &quot;&quot;, neighborhood: &quot;Cavaleiro&quot;, state: &quot;PE&quot;, street: &quot;Rua Fernando Amorim&quot;, postal_code: &quot;54250610&quot; }} iex&gt; Correios.CEP.find_address(&quot;54250-610&quot;, connection_timeout: 1000, request_timeout: 1000) {:ok, %Correios.CEP.Address{ city: &quot;Jaboatão dos Guararapes&quot;, complement: &quot;&quot;, neighborhood: &quot;Cavaleiro&quot;, state: &quot;PE&quot;, street: &quot;Rua Fernando Amorim&quot;, postal_code: &quot;54250610&quot; }} iex&gt; Correios.CEP.find_address(&quot;54250-610&quot;, proxy: {&quot;localhost&quot;, 8888}) {:ok, %Correios.CEP.Address{ city: &quot;Jaboatão dos Guararapes&quot;, complement: &quot;&quot;, neighborhood: &quot;Cavaleiro&quot;, state: &quot;PE&quot;, street: &quot;Rua Fernando Amorim&quot;, postal_code: &quot;54250610&quot; }} iex&gt; Correios.CEP.find_address( ...&gt; &quot;54250-610&quot;, ...&gt; proxy: {&quot;localhost&quot;, 8888}, ...&gt; proxy_auth: {&quot;myuser&quot;, &quot;mypass&quot;} ...&gt; ) {:ok, %Correios.CEP.Address{ city: &quot;Jaboatão dos Guararapes&quot;, complement: &quot;&quot;, neighborhood: &quot;Cavaleiro&quot;, state: &quot;PE&quot;, street: &quot;Rua Fernando Amorim&quot;, postal_code: &quot;54250610&quot; }} iex&gt; Correios.CEP.find_address(&quot;00000-000&quot;) {:error, %Correios.CEP.Error{reason: &quot;CEP NAO ENCONTRADO&quot;}} iex&gt; Correios.CEP.find_address(&quot;1234567&quot;) {:error, %Correios.CEP.Error{reason: &quot;postal code in invalid format&quot;}} iex&gt; Correios.CEP.find_address(&quot;&quot;) {:error, %Correios.CEP.Error{reason: &quot;postal_code is required&quot;}}","ref":"Correios.CEP.html#find_address/2","title":"Correios.CEP.find_address/2","type":"function"},{"doc":"Finds address by a given postal code.Similar to find_address/2 except it will unwrap the error tuple and raise in case of errors.Examplesiex&gt; Correios.CEP.find_address!(&quot;54250610&quot;) %Correios.CEP.Address{ city: &quot;Jaboatão dos Guararapes&quot;, complement: &quot;&quot;, neighborhood: &quot;Cavaleiro&quot;, state: &quot;PE&quot;, street: &quot;Rua Fernando Amorim&quot;, postal_code: &quot;54250610&quot; } iex&gt; Correios.CEP.find_address!(&quot;00000-000&quot;) ** (Correios.CEP.Error) CEP NAO ENCONTRADO","ref":"Correios.CEP.html#find_address!/2","title":"Correios.CEP.find_address!/2","type":"function"},{"doc":"","ref":"Correios.CEP.html#t:t/0","title":"Correios.CEP.t/0","type":"type"},{"doc":"Address structure.","ref":"Correios.CEP.Address.html","title":"Correios.CEP.Address","type":"module"},{"doc":"Creates a new Correios.CEP.Address struct with the given values.The values will be converted to string, and complement and complement2 keys will be joined into the complement field.Examplesiex&gt; Correios.CEP.Address.new(%{ ...&gt; street: &#39;Street&#39;, ...&gt; neighborhood: &#39;Neighborhood&#39;, ...&gt; complement: &#39; complement one&#39;, ...&gt; complement2: &#39;complement two &#39;, ...&gt; city: &#39;City&#39;, ...&gt; state: &#39;ST&#39;, ...&gt; postal_code: &#39;12345678&#39; ...&gt; }) %Correios.CEP.Address{ city: &quot;City&quot;, complement: &quot;complement one complement two&quot;, neighborhood: &quot;Neighborhood&quot;, state: &quot;ST&quot;, street: &quot;Street&quot;, postal_code: &quot;12345678&quot; }","ref":"Correios.CEP.Address.html#new/1","title":"Correios.CEP.Address.new/1","type":"function"},{"doc":"","ref":"Correios.CEP.Address.html#t:t/0","title":"Correios.CEP.Address.t/0","type":"type"},{"doc":"HTTP client for Correios API.","ref":"Correios.CEP.Client.html","title":"Correios.CEP.Client","type":"module"},{"doc":"Makes a HTTP request to Correios API using the given postal_code and options.ExamplesCorreios.CEP.Client.request(&quot;54250-610&quot;, []) {:ok, &quot;...&quot;} Correios.CEP.Client.request(&quot;54250-610&quot;, []) {:error, &quot;...&quot;} Correios.CEP.Client.request(&quot;54250-610&quot;, []) {:error, :some_error}","ref":"Correios.CEP.Client.html#request/2","title":"Correios.CEP.Client.request/2","type":"function"},{"doc":"","ref":"Correios.CEP.Client.html#t:t/0","title":"Correios.CEP.Client.t/0","type":"type"},{"doc":"Parser for Correios API responses.","ref":"Correios.CEP.Parser.html","title":"Correios.CEP.Parser","type":"module"},{"doc":"Parses a Correios API response error to Correios.CEP.Error struct.Examplesiex&gt; Correios.CEP.Parser.parse_error(response_body) %Correios.CEP.Error{ ... } iex&gt; Correios.CEP.Parser.parse_error(:timeout) %Correios.CEP.Error{reason: &quot;timeout&quot;}","ref":"Correios.CEP.Parser.html#parse_error/1","title":"Correios.CEP.Parser.parse_error/1","type":"function"},{"doc":"Parses a successful Correios API response body to Correios.CEP.Address struct.When the response body is empty, returns a not found Correios.CEP.Error struct.Examplesiex&gt; Correios.CEP.Parser.parse_ok(response_body) %Correios.CEP.Address{ ... } iex&gt; Correios.CEP.Parser.parse_ok(response_body) %Correios.CEP.Error{reason: &quot;CEP NAO ENCONTRADO&quot;}","ref":"Correios.CEP.Parser.html#parse_ok/1","title":"Correios.CEP.Parser.parse_ok/1","type":"function"},{"doc":"Error structure.","ref":"Correios.CEP.Error.html","title":"Correios.CEP.Error","type":"exception"},{"doc":"Returns the reason message of the exception.Examplesiex&gt; error = %Correios.CEP.Error{reason: &quot;Catastrophic error!&quot;} ...&gt; Correios.CEP.Error.message(error) &quot;Catastrophic error!&quot;","ref":"Correios.CEP.Error.html#message/1","title":"Correios.CEP.Error.message/1","type":"function"},{"doc":"Creates a new Correios.CEP.Error exception.Examplesiex&gt; Correios.CEP.Error.new(&quot;Catastrophic error!&quot;) %Correios.CEP.Error{reason: &quot;Catastrophic error!&quot;} iex&gt; Correios.CEP.Error.new(&#39;Catastrophic error!&#39;) %Correios.CEP.Error{reason: &quot;Catastrophic error!&quot;} iex&gt; Correios.CEP.Error.new(:some_error) %Correios.CEP.Error{reason: &quot;some_error&quot;} iex&gt; Correios.CEP.Error.new(%{a: 123}) %Correios.CEP.Error{reason: &quot;%{a: 123}&quot;}","ref":"Correios.CEP.Error.html#new/1","title":"Correios.CEP.Error.new/1","type":"function"},{"doc":"","ref":"Correios.CEP.Error.html#t:t/0","title":"Correios.CEP.Error.t/0","type":"type"},{"doc":"Correios CEP Find Brazilian addresses by postal code, directly from Correios API. No HTML parsers.","ref":"readme.html","title":"Correios CEP","type":"extras"},{"doc":"Correios.CEP.Address.zipcode was removed in the version 0.6.0. Use Correios.CEP.Address.postal_code instead.","ref":"readme.html#deprecation-note","title":"Correios CEP - DEPRECATION NOTE","type":"extras"},{"doc":"The package can be installed by adding correios_cep to your list of dependencies in mix.exs:def deps do [ {:correios_cep, &quot;~&gt; 0.6.0&quot;} ] end","ref":"readme.html#installation","title":"Correios CEP - Installation","type":"extras"},{"doc":"iex&gt; Correios.CEP.find_address(&quot;54250610&quot;) {:ok, %Correios.CEP.Address{ street: &quot;Rua Fernando Amorim&quot;, neighborhood: &quot;Cavaleiro&quot;, complement: &quot;&quot;, city: &quot;Jaboatão dos Guararapes&quot;, state: &quot;PE&quot;, postal_code: &quot;54250610&quot; }} iex&gt; Correios.CEP.find_address(&quot;00000-000&quot;) {:error, %Correios.CEP.Error{reason: &quot;CEP NAO ENCONTRADO&quot;}} iex&gt; Correios.CEP.find_address!(&quot;54250-610&quot;) %Correios.CEP.Address{ street: &quot;Rua Fernando Amorim&quot;, neighborhood: &quot;Cavaleiro&quot;, complement: &quot;&quot;, city: &quot;Jaboatão dos Guararapes&quot;, state: &quot;PE&quot;, postal_code: &quot;54250610&quot; } iex&gt; Correios.CEP.find_address!(&quot;00000-000&quot;) ** (Correios.CEP.Error) CEP NAO ENCONTRADOOptionsThere are some supported options that can be added to the request, as timeouts, proxy and URL configuration.The example below shows the use of request_timeout and proxy options:iex&gt; Correios.CEP.find_address(&quot;54250610&quot;, request_timeout: 3000, proxy: {&quot;localhost&quot;, 8888}) {:ok, %Correios.CEP.Address{ street: &quot;Rua Fernando Amorim&quot;, neighborhood: &quot;Cavaleiro&quot;, complement: &quot;&quot;, city: &quot;Jaboatão dos Guararapes&quot;, state: &quot;PE&quot;, postal_code: &quot;54250610&quot; }}See Correios.CEP.find_address/2 documentation to check the details of the available options.","ref":"readme.html#usage","title":"Correios CEP - Usage","type":"extras"},{"doc":"The full documentation is available at https://hexdocs.pm/correios_cep.","ref":"readme.html#documentation","title":"Correios CEP - Documentation","type":"extras"},{"doc":"See the contributing guide.","ref":"readme.html#contributing","title":"Correios CEP - Contributing","type":"extras"},{"doc":"Correios CEP is released under the Apache 2.0 License. See the LICENSE file.Copyright © 2018-2020 Fernando Hamasaki de Amorim","ref":"readme.html#license","title":"Correios CEP - License","type":"extras"},{"doc":"Fernando Hamasaki de Amorim (prodis)","ref":"readme.html#author","title":"Correios CEP - Author","type":"extras"},{"doc":"ChangelogAll notable changes to this project will be documented in this file.","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"","ref":"changelog.html#unreleased","title":"Changelog - Unreleased","type":"extras"},{"doc":"","ref":"changelog.html#0-6-0-2020-06-17","title":"Changelog - 0.6.0 - 2020-06-17","type":"extras"},{"doc":"Update HTTPoison to 1.17.0 (hackeny 1.16.0)","ref":"changelog.html#changed","title":"Changelog - Changed","type":"extras"},{"doc":"The field zipcode in Correios.CEP.Address. Use the field postal_code instead.","ref":"changelog.html#deprecated","title":"Changelog - Deprecated","type":"extras"},{"doc":"Support for OTP 20.","ref":"changelog.html#removed","title":"Changelog - Removed","type":"extras"},{"doc":"AddedThe field postal_code in Correios.CEP.Address with the same value of zipcode field, that will be deprecated in the next version. Part of the Issue #17.","ref":"changelog.html#0-5-1-2020-06-09","title":"Changelog - 0.5.1 - 2020-06-09","type":"extras"},{"doc":"AddedSupport for proxy configuration. Issue #7ChangedUpdate dependencies.","ref":"changelog.html#0-5-0-2020-05-24","title":"Changelog - 0.5.0 - 2020-05-24","type":"extras"},{"doc":"AddedCorreios API full URL in options.Missing code documentation and typespecs.Makefile.ChangedGeneral update and refactoring.FixedRemove dependency from config/config.exs. Issue #15","ref":"changelog.html#0-4-0-2020-04-19","title":"Changelog - 0.4.0 - 2020-04-19","type":"extras"},{"doc":"AddedValidate zip code. Issue #11Typespecs and Dialyzer. Issue #1","ref":"changelog.html#0-3-0-2010-01-01","title":"Changelog - 0.3.0 - 2010-01-01","type":"extras"},{"doc":"AddedTimeout options. Issue #6","ref":"changelog.html#0-2-0-2018-11-26","title":"Changelog - 0.2.0 - 2018-11-26","type":"extras"},{"doc":"AddedInitial release.The format of this file is based on Keep a Changelog, and this project adheres to Semantic Versioning.","ref":"changelog.html#0-1-0-2018-11-12","title":"Changelog - 0.1.0 - 2018-11-12","type":"extras"}]